<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCouponShip extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('coupon_ship', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('order_id')->comment('对应的订单id');
            $table->string('coupon_order_id')->comment('对应的用户领取优惠券id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('coupon_ship');
    }
}
